"""add refresh time and expiry settings to link

Revision ID: fc42b5061cfc
Revises: ff94714b6e3e
Create Date: 2024-07-12 12:22:44.198211

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'fc42b5061cfc'
down_revision = 'ff94714b6e3e'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('link', schema=None) as batch_op:
        batch_op.add_column(sa.Column('refreshed_at', sa.DateTime(), nullable=True))
        batch_op.add_column(sa.Column('expiry_days', sa.Integer(), nullable=True))

    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('link', schema=None) as batch_op:
        batch_op.drop_column('expiry_days')
        batch_op.drop_column('refreshed_at')

    # ### end Alembic commands ###
